---
title: "Add new card"
slug: "add-new-card"
updated: 2025-02-26T12:16:53Z
published: 2026-01-22T13:05:41Z
canonical: "api-docs.blinkpayment.co.uk/add-new-card"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.blinkpayment.co.uk/llms.txt
> Use this file to discover all available pages before exploring further.
# Add new card
Post/api/pay/v1/repeat-payments/card/270
This endpoint allows the user to change the card being charged for the scheduled payments.
**Parameters**
schedule_id (integer): id of the schedule of the repeat payment.
**Request Body**
- payment_type (string, required): Repeat payment type. It is passed to identify the type of the specific repeat schedule. It must be either of the following values. This value cannot be updated.
- fixed_schedule
- variable_schedule
- paymentToken (string, required): The tokenised card details.
SecurityHTTPType bearer
Header parametersAuthorizationstringExampleBearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJtZXJjaGFudF9pZCI6NDM5OCwic2VjcmV0X2tleSI6IjYzMTBlNDhiZGQwZTQzODE0NTlhNjJiNDZkMmM0ZmQ2ZThhYjY1YTJhNGQ1MjA1YzZjM2RkZWJmYmJhZWJiZjgiLCJleHAiOjE3MjA3MDcyNjZ9.91qa4veQ9xGVM-Jc_3_i_vaykEdYarRwUzb-37aLD0c
Body parametersobject Example{
"payment_type": "fixed_schedule",
"paymentToken": "{paymentToken}"
}
Responses200
Successful response